Summary:	Library for accessing smart cards
Summary(pl.UTF-8):	Biblioteka do dostępu do kart procesorowych
Name:		smartcardpp
Version:	0.3.0
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/esteid/downloads/list
Source0:	http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	c6172387475982393d02314f389f3513
Patch0:		sleep.patch
Patch1:		getopt.patch
URL:		http://code.google.com/p/esteid/
BuildRequires:	cmake >= 2.6
BuildRequires:	libstdc++-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%description -l pl.UTF-8
smartcardpp to zbiór klas C++ pozwalających na zarządzanie
komunikacją z kartami procesorowymi oraz implementujących podstawowe
polecenia.

%package devel
Summary:	Header files for smartcardpp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki smartcardpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	pcsc-lite-devel

%description devel
This package contains header files for developing applications that
use smartcardpp library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę smartcardpp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_bindir}/card-test
%attr(755,root,root) %{_libdir}/libsmartcardpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmartcardpp.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmartcardpp.so
%{_includedir}/smartcardpp
%{_pkgconfigdir}/smartcardpp.pc
%changelog
* Wed Jan 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smartcardpp.git;a=log;h=master

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> b9d7af7
- add missing include unistd.h
- build with system getopt
- rel 2

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> ffd00be
- updated to 0.3.0 (note: new soname)
- removed obsolete gcc patch

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 3f60451
- added gcc patch (fixes build with gcc 4.6)
- release 2

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 3ec5f9a
- package COPYING (specifies copyright holder)
- pl
- BR+R libstdc++-devel
- removed files duplicate

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 53ee365
- new, based on fc spec

